summaryrefslogtreecommitdiffstats
path: root/source/d/swig/swig.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/swig/swig.SlackBuild')
-rwxr-xr-xsource/d/swig/swig.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/d/swig/swig.SlackBuild b/source/d/swig/swig.SlackBuild
index aa4ea3744..b786073f6 100755
--- a/source/d/swig/swig.SlackBuild
+++ b/source/d/swig/swig.SlackBuild
@@ -23,7 +23,7 @@
PKGNAM=swig
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -55,7 +55,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf swig-$VERSION
-tar xvf $CWD/swig-$VERSION.tar.bz2
+tar xvf $CWD/swig-$VERSION.tar.?z* || exit 1
cd swig-$VERSION
chown -R root:root .
find . \
@@ -72,10 +72,10 @@ CXXFLAGS="$SLKCFLAGS" \
--exec-prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \